Bug 229701 - dns/knot2: Update to 2.6.8
Summary: dns/knot2: Update to 2.6.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL: https://www.knot-dns.cz/2018-07-10-ve...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-11 14:11 UTC by Leo Vandewoestijne
Modified: 2018-07-12 23:30 UTC (History)
2 users (show)

See Also:


Attachments
knot 2.6.8 (908 bytes, text/plain)
2018-07-11 14:11 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2018-07-11 14:11:54 UTC
Created attachment 195053 [details]
knot 2.6.8

Yesterday a new version of knot2 was released.
This patch updates accordingly.

I tested it in poudriere agains amd64 and i386 on 10.4 and 11.1
It's known to fail in 12. But I hope that will be solved in time.
Comment 1 Jochen Neumeister freebsd_committer 2018-07-12 14:04:34 UTC
Landed. Thanks.
Comment 2 commit-hook freebsd_committer 2018-07-12 14:05:12 UTC
A commit references this bug:

Author: joneum
Date: Thu Jul 12 14:04:25 UTC 2018
New revision: 474517
URL: https://svnweb.freebsd.org/changeset/ports/474517

Log:
  dns/knot2: Update to 2.6.8

  Changelog: https://www.knot-dns.cz/2018-07-10-version-268.html

  PR:		229701
  Submitted by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)

Changes:
  head/dns/knot2/Makefile
  head/dns/knot2/distinfo
Comment 3 Chris Hutchinson 2018-07-12 21:07:26 UTC
The OP indicated that this is BROKEN on -CURRENT (12).
Was this been fixed prior to commit? If not. Why is
the BROKEN @VERSION not included in the Makefile?

Thanks

--Chris
Comment 4 Jochen Neumeister freebsd_committer 2018-07-12 22:19:33 UTC
(In reply to Chris Hutchinson from comment #3)

http://joneumbox.org/data/12amd64-ports/2018-07-12_23h32m41s/logs/knot2-2.6.8.log

For her. I tested it, and found no problem. Why these aggressive words?
Comment 5 Chris Hutchinson 2018-07-12 23:30:20 UTC
(In reply to Jochen Neumeister from comment #4)
> (In reply to Chris Hutchinson from comment #3)
> 
> http://joneumbox.org/data/12amd64-ports/2018-07-12_23h32m41s/logs/knot2-2.6.
> 8.log
> 
> For her. I tested it, and found no problem. Why these aggressive words?

Thanks for the quick reply, Jochen!

> Why these aggressive words?

Maybe you are referring to the use of capitol letters in
BROKEN, and CURRENT?
If so. I used them that way, because this is the way they
are used in the Makefile:
# BROKEN		- Port is believed to be broken.  Package builds can
# 				  still be attempted using TRYBROKEN to test this
#				  assumption.
# BROKEN_${ARCH}  Port is believed to be broken on ${ARCH}. Package builds
#				  can still be attempted using TRYBROKEN to test this
#				  assumption.

I had no intention to sound angry. :-)
I only wanted to know the status for 12-CURRENT -- or -current ;-)

Thanks, again!

--Chris